package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;
import com.rjconsultores.ventaboletos.vo.comissao.OcdVO;

public class RenderOcd implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		OcdVO ocd = (OcdVO) o;
		
		Listcell lc = new Listcell(ocd.getNumoperacion());
        lc.setParent(lstm);
        
        lc = new Listcell(ocd.getFecpago() != null ? DateUtil.getStringDate(ocd.getFecpago(), "dd/MM/yyyy") : "");
        lc.setParent(lstm);
        
        lc = new Listcell(BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(ocd.getValorPagar(), LocaleUtil.getLocale()));
        lc.setParent(lstm);

        lc = new Listcell(BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(ocd.getPenalizacion(), LocaleUtil.getLocale()));
        lc.setParent(lstm);
        
        lc = new Listcell(ocd.getStatusDescricao());
        lc.setParent(lstm);

        lc = new Listcell(ocd.getNombusuario());
        lc.setParent(lstm);

        lstm.setAttribute("data", ocd);
		
	}

}